# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Declare-Constraints-Simple
Version:	0.03
Release:	16.%{__distinit}%{__distvers}
Summary:	Declarative Validation of Data Structures
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Declare-Constraints-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PH/PHAYLON/Declare-Constraints-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(aliased)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl(Class::Inspector)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker) 
BuildRequires:	perl(File::Path) 
BuildRequires:	perl(File::Spec) 
BuildRequires:	perl(Scalar::Util) >= 1.14
BuildRequires:	perl(Test::More) 
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Filter unwanted Requires (rpm 4.9 onwards)
%global __requires_exclude ^perl\\(Declare::Constraints::Simple-Library\\)

%description
The main purpose of this module is to provide an easy way to build a
profile to validate a data structure. It does this by giving you a set of
declarative keywords in the importing namespace.

%prep
%setup -q -n Declare-Constraints-Simple-%{version}

# Filter unwanted Requires (prior to rpm 4.9)
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Fvx 'perl(Declare::Constraints::Simple-Library)'"
%define __perl_requires %{reqfilt}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/Declare/
%{_mandir}/man3/Declare::Constraints::Simple.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Array.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Base.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Exportable.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::General.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Hash.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Numerical.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::OO.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Operators.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Referencial.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Scalar.3pm*
%{_mandir}/man3/Declare::Constraints::Simple::Result.3pm*

%changelog
* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> 0.03-16
- BR: perl(base), perl(Cwd), perl(File::Path) and perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> 0.03-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> 0.03-12
- Fix dependency filter for rpm 4.9 onwards

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.03-9
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 0.03-8
- Fix dist tag for RHEL-6 Beta

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> 0.03-7
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 0.03-6
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-3
- Rebuild for new perl

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- Bump

* Tue May 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- Specfile autogenerated by cpanspec 1.71
